%global shortname isarray
Name:                nodejs-isarray
Version:             2.0.5
Release:             1
Summary:             Array#isArray for older browsers
License:             MIT
URL:                 https://github.com/juliangruber/%{shortname}
Source0:             https://github.com/juliangruber/%{shortname}/archive/refs/tags/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
%{summary}.

%prep
%autosetup -n %{shortname}-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{shortname}/
cp -pr package.json component.json index.js %{buildroot}%{nodejs_sitelib}/%{shortname}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check

%files
%{nodejs_sitelib}/%{shortname}
%doc README.md

%changelog
* Wed Jun 29 2022 houyingchao <houyingchao@h-partners.com> - 2.0.5-1
- Upgrade to version 2.0.5

* Thu Aug 20 2020 wangxiao <wangxiao65@huawei.com> - 0.0.1-1
- Package init
